org.apache.uima.resource.impl

## Class ExternalResourceDescription_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.ExternalResourceDescription_impl

- All Implemented Interfaces:
    Serializable, Cloneable, ExternalResourceDescription, MetaDataObject, XMLizable

      public class ExternalResourceDescription_impl
      extends MetaDataObject_impl
      implements ExternalResourceDescription

  Reference implementation of `AnalysisEngineDescription`. Note that this class has a slightly nonstandard XML representation because the "key" property is represented in XML by an attribute rather than a child element. 9/2013: toXML and buildFromXMLElement not overridden... Therefore, we override the toXML() method and the buildFromXMLElement(Element,XMLParser) method.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.ExternalResourceDescription

      `EMPTY_EXTERNAL_RESORUCE_DESCRIPTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalResourceDescription_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Retrieves the textual description of the resource.
    `String` | `getImplementationName()` Retrieves the name of the Java class to be instantiated from the resource data.
    `String` | `getName()` Retrieves the name by which the resource is identified.
    `ResourceSpecifier` | `getResourceSpecifier()` Retrieves the `ResourceSpecifier` that describes how to create the resource.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setDescription(String aDescription)` Retrieves the textual description of the resource.
    `void` | `setImplementationName(String aName)` Sets the name of the Java class to be instantiated from the resource data.
    `void` | `setName(String aName)` Sets the name by which the resource is identified.
    `void` | `setResourceSpecifier(ResourceSpecifier aSpecifier)` Sets the `ResourceSpecifier` that describes how to create the resource.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ExternalResourceDescription_impl

          public ExternalResourceDescription_impl()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `ExternalResourceDescription`
      Retrieves the name by which the resource is identified.
      Specified by:
        `getName` in interface `ExternalResourceDescription`
      Returns:
        the name of this resource.
      See Also:
        `ExternalResourceDescription.getName()`

    - #### getResourceSpecifier

          public ResourceSpecifier getResourceSpecifier()

      Description copied from interface: `ExternalResourceDescription`
      Retrieves the `ResourceSpecifier` that describes how to create the resource.
      Specified by:
        `getResourceSpecifier` in interface `ExternalResourceDescription`
      Returns:
        the `ResourceSpecifier` for this external resource
      See Also:
        `ExternalResourceDescription.getResourceSpecifier()`

    - #### getImplementationName

          public String getImplementationName()

      Description copied from interface: `ExternalResourceDescription`
      Retrieves the name of the Java class to be instantiated from the resource data. This must extend `SharedResourceObject` as well as the interface specified by `ExternalResourceDependency.getInterfaceName()`.
      Specified by:
        `getImplementationName` in interface `ExternalResourceDescription`
      Returns:
        the name of the Java class implementing the resource access
      See Also:
        `ExternalResourceDescription.getImplementationName()`

    - #### setName

          public void setName(String aName)

      Description copied from interface: `ExternalResourceDescription`
      Sets the name by which the resource is identified.
      Specified by:
        `setName` in interface `ExternalResourceDescription`
      Parameters:
        `aName` - the name of this resource.
      See Also:
        `ExternalResourceDescription.setName(String)`

    - #### setResourceSpecifier

          public void setResourceSpecifier(ResourceSpecifier aSpecifier)

      Description copied from interface: `ExternalResourceDescription`
      Sets the `ResourceSpecifier` that describes how to create the resource.
      Specified by:
        `setResourceSpecifier` in interface `ExternalResourceDescription`
      Parameters:
        `aSpecifier` - the `ResourceSpecifier` for this external resource
      See Also:
        `ExternalResourceDescription.setResourceSpecifier(ResourceSpecifier)`

    - #### setImplementationName

          public void setImplementationName(String aName)

      Description copied from interface: `ExternalResourceDescription`
      Sets the name of the Java class to be instantiated from the resource data. This must extend `SharedResourceObject` as well as the interface specified by `ExternalResourceDependency.getInterfaceName()`.
      Specified by:
        `setImplementationName` in interface `ExternalResourceDescription`
      Parameters:
        `aName` - the name of the Java class implementing the resource access
      See Also:
        `ExternalResourceDescription.setImplementationName(String)`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `ExternalResourceDescription`
      Retrieves the textual description of the resource.
      Specified by:
        `getDescription` in interface `ExternalResourceDescription`
      Returns:
        the textual description of the resource.
      See Also:
        `ExternalResourceDescription.getDescription()`

    - #### setDescription

          public void setDescription(String aDescription)

      Description copied from interface: `ExternalResourceDescription`
      Retrieves the textual description of the resource.
      Specified by:
        `setDescription` in interface `ExternalResourceDescription`
      Parameters:
        `aDescription` - the textual description of the resource.
      See Also:
        `ExternalResourceDescription.setDescription(java.lang.String)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.